/*
 * SimpleModal Contact Form
 * http://www.ericmmartin.com/projects/simplemodal/
 * http://code.google.com/p/simplemodal/
 *
 * Copyright (c) 2008 Eric Martin - http://ericmmartin.com
 *
 * Licensed under the MIT license:
 *   http://www.opensource.org/licenses/mit-license.php
 *
 * Revision: $Id: contact.js 132 2008-05-23 16:05:17Z emartin24 $
 *
 */
var check='';
var chkrule='';
$(document).ready(function () {
	




	
	$("#login #reg_in").click(function (e) {
		e.preventDefault();
		// load the contact form using ajax
		$.get("../reg_data/contact.php", function(data){
			// create a modal dialog with the data
			$(data).modal({
				close: false,
				overlayId: 'contact-overlay',
				containerId: 'contact-container',
				onOpen: contact.open,
				onShow: contact.show,
				onClose: contact.close
			});
		});
	});



	// preload images
	var img = ['cancel.png','form_bottom.gif','form_top.gif','form_top_ie.gif','loading.gif','send.png'];
	$(img).each(function () {
		var i = new Image();
		i.src = '../reg_img/contact/' + this;
	});
});

function rule(){

if($('#chkrule').is(':checked')) {

		chkrule="ok";
$('#rule').show();
	
}else 
{		
	chkrule='';
$('#rule').hide();
}

}




function isChinese(temp) 
{ 
var re = /[^\u4e00-\u9fa5]/; 
if(re.test(temp)) return false; 
return true; 
} 

 


var XMLHttpRequestObject = false;
if (window.XMLHttpRequest) 
{
  XMLHttpRequestObject = new XMLHttpRequest();
}
else if (window.ActiveXObject)
{
  XMLHttpRequestObject = new ActiveXObject("Microsoft.XMLHttp");
}

function getData(dataSource, mAccount)
{
  if(XMLHttpRequestObject)
  {
    XMLHttpRequestObject.open("GET", dataSource);
    XMLHttpRequestObject.onreadystatechange = function()
    {
      if (XMLHttpRequestObject.readyState == 4 &&
          XMLHttpRequestObject.status == 200)
      {
		  eval("var response=("+XMLHttpRequestObject.responseText+")");
		  
		  if(response[0].check!='NULL'){
		  	if(isChinese($('#contact-container #contact-mAccount').val())){
		  		
		  		var objDiv = document.getElementById(mAccount);
        objDiv.innerHTML ='帳號只能為英文';
        check='ch';
		  		}else{
		  	
        var objDiv = document.getElementById(mAccount);
        objDiv.innerHTML =response[0].content;
        check='OK';
      }
		
		
		  }else{
			  var objDiv = document.getElementById(mAccount);
        objDiv.innerHTML =response[0].content;
		check='NO';
		
			  }
      }
    }
    XMLHttpRequestObject.send(null);
  }
}

function checkUsername(keyEvent, mAccount)
{
  keyEvent = (keyEvent) ? keyEvent: window.event;
  input = (keyEvent.target) ? keyEvent.target : keyEvent.srcElement;
  if (keyEvent.type == "keyup")
  {
	
    var objDiv = document.getElementById(mAccount);
    objDiv.innerHTML = "<span></span>";
    if (input.value)
    {
      getData("../member/login_check.php?qry="+input.value, mAccount);
    }
  } 

  
}

		//這裡控制要檢查的項目，true表示要檢查，false表示不檢查    
 var isCheckImageType = true;  //是否檢查圖片副檔名    
 var isCheckImageWidth = true;  //是否檢查圖片寬度    
 var isCheckImageHeight = true;  //是否檢查圖片高度    
 var isCheckImageSize = true;  //是否檢查圖片檔案大小    
   
 var ImageSizeLimit = 100000;  //上傳上限，單位:byte    
 var ImageWidthLimit = 400;  //圖片寬度上限    
 var ImageHeightLimit = 300;  //圖片高度上限    
   
 function checkFile() {    
     var f = document.mr;    
     var re = /\.(jpg|gif|png)$/i;  //允許的圖片副檔名  
     if(f.fileToUpload.value!=''){  
     if (isCheckImageType && !re.test(f.fileToUpload.value)) { 
	return false;
         /*alert("只允許上傳JPG或GIF影像檔"); 
         return false;   */
     /*} else { 
     	 document.mr.submit(); 
     
     }
    } else { 
     document.mr.submit()	; 
     return true;*/
     }   
 }    
 }
 function checkImage() {    
     if (isCheckImageWidth && this.width > ImageWidthLimit) {    
         showMessage('寬度','px',this.width,ImageWidthLimit);    
     } else if (isCheckImageHeight && this.height > ImageHeightLimit) {    
         showMessage('高度','px',this.height,ImageHeightLimit);    
     } else if (isCheckImageSize && this.fileSize > ImageSizeLimit) {    
         showMessage('檔案大小','kb',this.fileSize/1000,ImageSizeLimit/1000);            
     } else {    
         document.mr.submit();    
     }    
 }    
 function showMessage(kind,unit,real,limit) {    
     var msg = "您所選擇的圖片kind為 real unit\n超過了上傳上限 limit unit\n不允許上傳！"    
     alert(msg.replace(/kind/,kind).replace(/unit/g,unit).replace(/real/,real).replace(/limit/,limit));    
 }    
	
	
	

	function ajaxFileUpload()
	{
		/*
		$("#loading")
		.ajaxStart(function(){
			$(this).show();
		})
		.ajaxComplete(function(){
			$(this).hide();
		});
*/
		$.ajaxFileUpload
		(
			{
				url:'../member/doajaxfileupload.php',
				secureuri:false,
				fileElementId:'fileToUpload',
				//dataType: 'json',
				success: function (data, status)
				{
					if(typeof(data.error) != 'undefined')
					{
						if(data.error != '')
						{
							alert(data.error);
							return false;
						}else
						{
							return true;
							alert(data.mesg);
						}
					}
				},
				error: function (data, status, e)
				{
					alert(e);
					//return false;
				}
			}
		)
		
		//return true;

	}
	


var contact = {
	message: null,
	open: function (dialog) {
		// add padding to the buttons in firefox/mozilla
		if ($.browser.mozilla) {
			$('#contact-container .contact-button').css({
				'padding-bottom': '2px'
			});
		}
		// input field font size
		if ($.browser.safari) {
			$('#contact-container .contact-input').css({
				'font-size': '.9em'
			});
		}

		var title = $('#contact-container .contact-title').html();
		/*$('#contact-container .contact-title').html('Loading...');*/
		dialog.overlay.fadeIn(200, function () {
			dialog.container.fadeIn(200, function () {
				dialog.data.fadeIn(200, function () {
					$('#contact-container .contact-content').animate({
						height: 600
					}, function () {
						$('#contact-container .contact-title').html(title);
						$('#contact-container form').fadeIn(200, function () {
							$('#contact-container #contact-name').focus();

							// fix png's for IE 6
							if ($.browser.msie && $.browser.version < 7) {
								$('#contact-container .contact-button').each(function () {
									if ($(this).css('backgroundImage').match(/^url[("']+(.*\.png)[)"']+$/i)) {
										var src = RegExp.$1;
										$(this).css({
											backgroundImage: 'none',
											filter: 'progid:DXImageTransform.Microsoft.AlphaImageLoader(src="' +  src + '",                                                     sizingMethod="crop")'
										});
									}
								});
							}
						});
					});
				});
			});
		});
	},
	show: function (dialog) {
		$('#contact-container .contact-send').click(function (e) {
			e.preventDefault();
			// validate form
			
			if (contact.validate()) {
				$('#contact-container .contact-message').fadeOut(function () {
					$('#contact-container .contact-message').removeClass('contact-error').empty();
				});
				$('#contact-container .contact-title').html('Sending...');
				$('#contact-container form').fadeOut(200);
				$('#contact-container .contact-content').animate({
					height: '80px'
				}, function () {
					$('#contact-container .contact-loading').fadeIn(200, function () {
						$.ajax({
							url: '../reg_data/contact.php',
							data: $('#contact-container form').serialize() + '&action=send',
							type: 'post',
							cache: false,
							dataType: 'html',
							complete: function (xhr) {
								ajaxFileUpload();
								$('#contact-container .contact-loading').fadeOut(200, function () {
																								
									$('#contact-container .contact-title').html('感謝您的註冊!');
									
									$('#contact-container .contact-message').html(xhr.responseText).fadeIn(200);
								});
							},
							error: contact.error
						});
					});
				});
			}
			else {
				if ($('#contact-container .contact-message:visible').length > 0) {
					var msg = $('#contact-container .contact-message div');
					msg.fadeOut(200, function () {
						msg.empty();
						contact.showError();
						msg.fadeIn(200);
					});
				}
				else {
					$('#contact-container .contact-message').animate({
						height: '50px'
					}, contact.showError);
				}
				
			}
		});
	},
	close: function (dialog) {
		$('#contact-container .contact-message').fadeOut();
		$('#contact-container .contact-title').html('歡迎登入使用');
		$('#contact-container form').fadeOut(200);
		$('#contact-container .contact-content').animate({
			height: 40
		}, function () {
			dialog.data.fadeOut(200, function () {
				dialog.container.fadeOut(200, function () {
					dialog.overlay.fadeOut(200, function () {
						$.modal.close();
					});
				});
			});
		});
	},
	error: function (xhr) {
		alert(xhr.statusText);
	},
	
	validate: function () {
		contact.message = '';
		contact.message_2 = '';
		/*
		if (!$('#contact-container #contact-mAccount').val()) {
			contact.message += '請填寫帳號  ';
			
		}*/
		if (check=='') {
			 contact.message += '帳號  ';
		}
		if (chkrule=='') {
			 contact.message_2 += '請閱讀服務條款  ';
		}
        if (!$('#contact-container #contact-password').val()) {
			contact.message += '密碼  ';
		}		
		if($('#contact-container #contact-password').val() != $('#contact-container #contact-password1').val()){
		   contact.message_2 += '密碼與確認密碼不符 請重新輸入  ';
		}
		if (!$('#contact-container #contact-name').val()) {
			contact.message += '姓名  ';
		}
		if (!$('#contact-container #contact-nickname').val()) {
			contact.message += '暱稱  ';
		}
		if (!$('#contact-container #contact-sex').val()) {
			contact.message += '性別  ';
		}
		if (!$('#contact-container #contact-birthday_y').val()){
			contact.message += '出生年  ';
		}
		if (!$('#contact-container #contact-birthday_m').val()){
			contact.message += '出生月  ';
		}
		if (!$('#contact-container #contact-birthday_d').val()){
			contact.message += '出生日  ';
		}   		
		var email = $('#contact-container #contact-mEmail').val();
		
		if (!email) {
			contact.message += 'Email  ';
		}
		else {
			if (!contact.validateEmail(email)) {
				contact.message_2 += 'Email格式錯誤  ';
			}
		}

		var msn =$('#contact-container #contact-mMsn').val();
		if (!msn){
		    contact.message += 'Msn  '; 	
		}
		else{
			if(!contact.validateEmail(msn)){
			   contact.message_2 += 'Msn格式錯誤  ';
			}
		}
		
		if (checkFile()==false) {
			 contact.message_2 += '只允許上傳JPG或GIF或PNG影像  ';
		}	
		
			if (check=='NO') {
			 contact.message_2 += '帳號重複  ';
		}
		
		if(isChinese($('#contact-container #contact-mAccount').val())||check=='ch'){
			 contact.message_2 += '帳號只能為英文  ';
			
			}
      	/*if (checkUsername()==false){
			contact.message += '帳號重複 請重新輸入  ';
		}*/
		if (contact.message.length > 0 || contact.message_2.length >0 ) {
			return false;
		}
		else {
			return true;
		}
		
	},
	
	validateEmail: function (email) {
		var at = email.lastIndexOf("@");

		// Make sure the at (@) sybmol exists and  
		// it is not the first or last character
		if (at < 1 || (at + 1) === email.length)
			return false;

		// Make sure there aren't multiple periods together
		if (/(\.{2,})/.test(email))
			return false;

		// Break up the local and domain portions
		var local = email.substring(0, at);
		var domain = email.substring(at + 1);

		// Check lengths
		if (local.length < 1 || local.length > 64 || domain.length < 4 || domain.length > 255)
			return false;

		// Make sure local and domain don't start with or end with a period
		if (/(^\.|\.$)/.test(local) || /(^\.|\.$)/.test(domain))
			return false;

		// Check for quoted-string addresses
		// Since almost anything is allowed in a quoted-string address,
		// we're just going to let them go through
		if (!/^"(.+)"$/.test(local)) {
			// It's a dot-string address...check for valid characters
			if (!/^[-a-zA-Z0-9!#$%*\/?|^{}`~&+=_\.]*$/.test(local))
				return false;
		}

		// Make sure domain contains only valid characters and at least one period
		if (!/^[-a-zA-Z0-9\.]*$/.test(domain) || domain.indexOf(".") === -1)
			return false;	

		return true;
	},
	showError: function () {
		$('#contact-container .contact-message')
			.html($('<div class="contact-error">').append('請填寫:'+contact.message+'<br><br>'+contact.message_2 ))
			.fadeIn(200);
	}
};